<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
	<head>
		<meta charset="utf-8" />
		<meta name="generator" content="pandoc" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
		<title>A demo of NetworkDisk based on DBLP Graph</title>
		<link rel="stylesheet" type="text/css" href="lib/bootstrap.min.4.6.css">
		<link rel="stylesheet" type="text/css" href="css/style.css">
		<script src="lib/d3.v6.js"></script>
		<script src="js/utils.js"></script>
		<script src="js/dblp_api.js"></script>
		<script src="js/graph.js"></script>
		<script src="js/main.js"></script>
	</head>
	<body>
		<header>
			<h1 class="title">A demo of <a href="https://networkdisk.inria.fr">NetworkDisk</a> based on <a href="https://networkdisk.inria.fr/examples/dblp.html">DBLP Graph</a></h1>
		</header>
		<hr>
		<div class="wrapper" id="main">
			<nav id="sidebar" class="sidebar">
				<div class="card">
					<div class="card-header"> Authors</div>
					<div class="card-body">
						<p> Input may contains wildcard `%` and `_` but are case sensitives and comma separated.</p>
						<input id="add_author_input" placeholder="Donald E. Knuth, Paul Erdös, ..." style="width:100%">
						<input type="button" id="add_author_butt" value="Add (many) author(s)" class="btn btn-primary">
						<div id="add_author_feedback" class="invalid-feedback"></div>
					</div>
				</div>
				<div class="card">
					<div class="card-body">
						<input type="button" id="save_butt" value="Share the graph" class="btn btn-primary">
						<div id="urlcontainer" class="list-group"></div>
					</div>
				</div>
				<div class="card">
					<div class="card-header">Shortest-Path Graph</div>
					<div class="card-body">
						The Graph displayed is a <i> Shortest-Path Graph</i>, that is
						a complete graph with weight on the edge which are the distance
						between nodes in the colaboration graph of DBLP.

						The Shortest Path computation can take some time, the graph stabilize
						in few seconds.
					</div>
				</div>
				<div class="card">
					<div class="card-header">Details on the demo</div>
					<div class="card-body">
						<p>
						Links between node are either in various shade of grey or in blue.
						Blue links are direct connection (co-authors) meanwhile shade of grey
						indicate the proximity within the collaboration graph.
						</p>
						<p>
						By clicking on a grey link, it is possible to materialize a shortest path
						between the authors. By double clicking on some node, it adds them to the main
						computation.
						</p>
					</div>
				</div>
			</nav>
			<div id="svg_container" class="d-flex flex-column p-3"></div>
		</div>
	<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
		<symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
			<path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"/>
		</symbol>
		<symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
			<path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
		</symbol>
		<symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
			<path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"/>
		</symbol>
	</svg>
	</body>
</html>
